Package: org.grails.encoder.impl

## [Java] Class HTMLEncoder

- org.grails.encoder.impl.HTMLEncoder

- HTMLEncoder implementation currently this doesn't add any extra features to XMLEncoder This encoder is for XML, XHTML and HTML5 documents.

  See Also:
    HTML4Encoder
  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CodecIdentifier` | `HTML_CODEC_IDENTIFIER` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicXMLEncoder` | `XML_CODEC_IDENTIFIER`
    `class AbstractCharReplacementEncoder` | `codecIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTMLEncoder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `doEncode(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicXMLEncoder` | `doEncode, encode, encodeAsXmlObject, escapeCharacter, xmlEscapeCharacter`
    `class AbstractCharReplacementEncoder` | `convertToString, createChainingEncodesToWriter, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final CodecIdentifier HTML_CODEC_IDENTIFIER

  - ### Constructor Detail

    - #### public HTMLEncoder()

  - ### Method Detail

    - #### protected java.lang.Object doEncode(java.lang.Object o)